"use strict";
/*
 * Copyright Fastly, Inc.
 * Licensed under the MIT license. See LICENSE file for details.
 */
Object.defineProperty(exports, "__esModule", { value: true });
function webpackTransform(config, webpack) {
    return {
        ...config,
        plugins: [
            ...config.plugins ?? [],
            new webpack.ProvidePlugin({
                Buffer: ['buffer', 'Buffer'],
                process: 'process',
            }),
            new webpack.EnvironmentPlugin({
                NEXT_RUNTIME: 'edge',
            }),
            new webpack.optimize.LimitChunkCountPlugin({
                maxChunks: 1,
            }),
        ],
        resolve: {
            ...config.resolve,
            alias: {
                ...config.resolve?.alias,
                'next/dist/compiled/raw-body': require.resolve('raw-body'),
            },
            fallback: {
                ...config.resolve?.fallback,
                url: require.resolve('url/'),
                "@builder.io/partytown/integration": false,
                "buffer": require.resolve("buffer/"),
                "crypto": require.resolve("crypto-browserify/"),
                "events": require.resolve("events/"),
                "stream": require.resolve("stream-browserify"),
                "os": require.resolve("os-browserify/browser"),
                "path": require.resolve("path-browserify"),
                "process": require.resolve("process/browser"),
                "querystring": require.resolve("querystring-es3"),
                "util": require.resolve("util/"),
            },
        },
    };
}
exports.default = webpackTransform;
